interactions:
- request:
    body: !!binary |
      cmVkaXJlY3RfdXJpPWh0dHAlM0ElMkYlMkYxMjcuMC4wLjElM0E2NTAwMCUyRiZncmFudF90eXBl
      PXJlZnJlc2hfdG9rZW4mcmVmcmVzaF90b2tlbj0qKioqKioqKioq
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Authorization: ['**********']
      Connection: [keep-alive]
      Content-Length: ['122']
      Content-Type: [application/x-www-form-urlencoded]
      User-Agent: [rtv test suite PRAW/3.3.0 Python/3.4.0 b'Linux-3.13.0-24-generic-x86_64-with-Ubuntu-14.04-trusty']
    method: POST
    uri: https://api.reddit.com/api/v1/access_token/
  response:
    body:
      string: !!binary |
        H4sIAAAAAAAAAyWMwQrCMBAFf2XJWaGiFvEoeFPw5LUkzUNXSRN212IU/12qpwfDzHs73/dQ7Szf
        MbgtudWq3TSLxXo+D/W1z7tjOqVDexPJuxyHks4D792M3C/orBZMVYAXyMTxLCzQjqe3Zds0M3La
        57+GyEZXVstSiSMGY6uUqj6CIEY2pSI8ekOCqr9ASeAjCUoWI/UjSB8hsU2jvXAAjdngPl83sIeX
        ygAAAA==
    headers:
      CF-RAY: [24e56b2601982816-SJC]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Wed, 02 Dec 2015 07:46:32 GMT']
      Server: [cloudflare-nginx]
      Set-Cookie: ['__cfduid=d7ffe26b805b601a15da6ffa329b7fef11449042392; expires=Thu,
          01-Dec-16 07:46:32 GMT; path=/; domain=.reddit.com; HttpOnly']
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      X-Moose: [majestic]
      cache-control: ['max-age=0, must-revalidate']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Authorization: ['**********']
      Connection: [keep-alive]
      User-Agent: [rtv test suite PRAW/3.3.0 Python/3.4.0 b'Linux-3.13.0-24-generic-x86_64-with-Ubuntu-14.04-trusty']
    method: GET
    uri: https://oauth.reddit.com/api/v1/me.json
  response:
    body:
      string: !!binary |
        H4sIAAAAAAAAA12QwWrDMBBEf0Xs2YTYuLTxZ5TSq5CtdbNE2k1XUhoI/fei1C5xjxp23ozmBkeX
        bHQUYDCzCwkbA+wiwmDgFb2n/IYaiV14J/xChcbApOgyehhM2/fd89O+Oxx2+8bAkTzaWSValVFy
        emBSsqmkM7K/G1d5QdmSpxXXtf2Kq9XE/68XiE/25DS6aqkQiRE5/2nVKxdU275sG3xI8Fslykao
        D/gMjGP9Zz23eD2TukzCMBguIdQ7HuVqJymcl7ha9YJKM6G3uBTOWnDFTHofMy33v1skEn4IWFao
        Id8/dZfx5JkBAAA=
    headers:
      CF-RAY: [24e56b2c463a0294-SJC]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Wed, 02 Dec 2015 07:46:33 GMT']
      Server: [cloudflare-nginx]
      Set-Cookie: ['__cfduid=d38d707b36c3bad4a3f7fbf9952784b881449042393; expires=Thu,
          01-Dec-16 07:46:33 GMT; path=/; domain=.reddit.com; HttpOnly']
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      X-Moose: [majestic]
      cache-control: ['private, s-maxage=0, max-age=0, must-revalidate', 'max-age=0,
          must-revalidate']
      expires: ['-1']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-ratelimit-remaining: ['568.0']
      x-ratelimit-reset: ['207']
      x-ratelimit-used: ['32']
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Authorization: ['**********']
      Connection: [keep-alive]
      Cookie: [__cfduid=d38d707b36c3bad4a3f7fbf9952784b881449042393]
      User-Agent: [rtv test suite PRAW/3.3.0 Python/3.4.0 b'Linux-3.13.0-24-generic-x86_64-with-Ubuntu-14.04-trusty']
    method: GET
    uri: https://oauth.reddit.com/subreddits/mine/subscriber/.json?limit=1024
  response:
    body:
      string: !!binary |
[encoded data, 223295 characters]
        Y2FjrYbci1isvv/nP/8FZB+qVApJCwA=
    headers:
      CF-RAY: [24e56b3806a00294-SJC]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['149762']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Wed, 02 Dec 2015 07:46:35 GMT']
      Server: [cloudflare-nginx]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      X-Moose: [majestic]
      cache-control: ['private, s-maxage=0, max-age=0, must-revalidate', 'max-age=0,
          must-revalidate']
      expires: ['-1']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-ratelimit-remaining: ['567.0']
      x-ratelimit-reset: ['206']
      x-ratelimit-used: ['33']
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=SJmHochwizrdZc6If0M%2Bx5hjX9%2Bi9qBSjY3QgkiVMnAlERhXzYh%2FQXuJ8dr9JSU%2F0szXEaAxqz6piQ5%2BCkuF7VSfpcMhBAuu']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
version: 1
